Package org.apache.solr.client.solrj.response

# Class StreamingResponseCallback

java.lang.Object
org.apache.solr.client.solrj.response.StreamingResponseCallback

public abstract class StreamingResponseCallback extends Object
A callback interface for streaming response

Since:
  solr 4.0

## Constructor Summary

Constructors
Constructor
Description
`StreamingResponseCallback()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`streamDocListInfo(long numFound, long start, Float maxScore)`
`abstract void`
`streamSolrDocument(SolrDocument doc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamingResponseCallback

public StreamingResponseCallback()

## Method Details

### streamSolrDocument

public abstract void streamSolrDocument(SolrDocument doc)

### streamDocListInfo

public abstract void streamDocListInfo(long numFound, long start, Float maxScore)